<div id="languages">
  <?
  if ( is_array( $this -> _langs ) ) foreach ( $this -> _langs as $lang_tmp )
  {
    echo '<div id="lang_' . $lang_tmp['id'] . '"';
      if ( $lang_tmp['id'] == $this -> _current_lang )
        echo ' class="current_lang"';
    echo ' onClick="document.location.href=\'lang,' . $lang_tmp['id'] . '\';">' . ucfirst( $lang_tmp['name'] ) . '</div>';
  }
  ?>
</div>